package com.yaoyicloud.render;

import java.io.IOException;



/**
 * ServiceProviderInfo渲染器
 *
 */
public final class ServiceProviderInfoRender extends AbstractRender {

    public ServiceProviderInfoRender(String cwd) {
        super(cwd);
    }

    /**
     * Docx 渲染
     * @param info 数据
     * @param templateFileContent 模板内容
     * @return 本地文件目录
     * @throws IOException
     */
    public final String renderDocx(ServiceProviderInfo info, Byte[] templateFileContent) throws IOException {
        // json序列化 info
        // 注： 报告模板的模板变量按照json序列化的结果命名
        // 用POI 渲染模板
        // 保存到 cwd 目录，文件名使用 ServiceProviderInfo + uuid
        // 注： 目前的实现假设：一个session对应一个cwd目录

        this.docxResultPath = this.renderDocx(info.toString() /* Fake */, templateFileContent, cwd + "/1.docx");
        return this.docxResultPath;
    }
    
}
